.modal {
    position: fixed;
    top: 30vh;
    left: 33%;
    width: 34%;
    min-height: 18rem;
    z-index: 100;
    overflow: hidden;

    align-items: center;
}
.backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 10;
    background: rgba(0, 0, 0, 0.25);
}

@media only screen and (max-width: 768px) {
    .modal{
        left: 27%;
        width: 46%;
    }

}
@media only screen and (max-width: 640px) {
    .modal{
        left: 25%;
        width: 50%;
    }

}
@media only screen and (max-width: 479px) {
    .modal{
        left: 20%;
        width: 60%;
    }

}